
  <!DOCTYPE html>
  <html>
    <head>
      <title>methods.ts</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/api/methods.ts</td><td class="">100.00%</td><td class="">80%</td><td class="">99</td><td class="">99</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import { getHeaders } from &#x27;./getHeaders&#x27;;
import { RequestWrapper } from &#x27;./requestWrapper&#x27;;

export const get = &lt;Response&gt;(url: string): Promise&lt;RequestWrapper&lt;Response&gt;&gt; =&gt;
  fetch(`${process.env.REACT_APP_BACKEND_URL}/api/v1/${url}`, {
    headers: getHeaders()
  }).then((res) =&gt; res.json());

export const post = &lt;Response&gt;(
  url: string,
  body: object
): Promise&lt;RequestWrapper&lt;Response&gt;&gt; =&gt;
  fetch(`${process.env.REACT_APP_BACKEND_URL}/api/v1/${url}`, {
    method: &#x27;POST&#x27;,
    headers: getHeaders(),
    body: JSON.stringify(body)
  }).then((res) =&gt; res.json());

export const patch = &lt;Response&gt;(
  url: string,
  body: object
): Promise&lt;RequestWrapper&lt;Response&gt;&gt; =&gt;
  fetch(`${process.env.REACT_APP_BACKEND_URL}/api/v1/${url}`, {
    method: &#x27;PATCH&#x27;,
    headers: getHeaders(),
    body: JSON.stringify(body)
  }).then((res) =&gt; res.json());

export const put = &lt;Response&gt;(
  url: string,
  body: object
): Promise&lt;RequestWrapper&lt;Response&gt;&gt; =&gt;
  fetch(`${process.env.REACT_APP_BACKEND_URL}/api/v1/${url}`, {
    method: &#x27;PUT&#x27;,
    headers: getHeaders(),
    body: JSON.stringify(body)
  }).then((res) =&gt; res.json());

export const del = (url: string): Promise&lt;any&gt; =&gt;
  fetch(`${process.env.REACT_APP_BACKEND_URL}/api/v1/${url}`, {
    method: &#x27;DELETE&#x27;,
    headers: getHeaders()
  });
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  